Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0031593
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2015-11-26 10:302015-12-04 13:55
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision3d941e94a739
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0031593: Debit and Credit values not shown when running General Ledger Report in XLS format using Microsoft Office 2007

DescriptionDebit and Credit values not shown when running General Ledger Report in XLS format using Microsoft Office 2007
Steps To Reproduce1. Run General Ledger Report in XLS format using Microsoft Office 2007 from a windows machine setting any filtering critera
2. Open xls file with Microsoft Excel and realize that Credit and Debit values are not shown

NOTE: difference is in format of Credit and Debit columns. If you open PR15Q2 file with Microsoft Office 2007 and check format of the column is "General". However file from PR15Q3 has format defined as "Personalize"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0031648 closedTriage Finance Review the export of the reports to Excel using Microsoft Office 2007 
depends on backport 00316283.0PR15Q4.1 closedAtulOpenbravo Debit and Credit values not shown when running General Ledger Report in XLS format using Microsoft Office 2007 
depends on backport 00316293.0PR15Q3.4 closedAtulOpenbravo Debit and Credit values not shown when running General Ledger Report in XLS format using Microsoft Office 2007 
related to defect 00316683.0PR16Q1 closedTriage Finance Debit and Credit values not shown when running Trial Balance Report in XLS format using Microsoft Office 2007 

-  Notes
(0082470)
AtulOpenbravo (developer)
2015-11-30 15:48
edited on: 2015-11-30 15:49

Test Plan
- Login as F&B International Group Admin.
- Run General Ledger Report in XLS format using Microsoft Office 2007 from a windows machine. Set any filter criteria having data.
- Open xls file with Microsoft Excel and check that Credit and Debit values are shown properly.

Same is the case with Trial Balance Report, export to xls.

(0082484)
hgbot (developer)
2015-12-01 12:32

Repository: erp/devel/pi
Changeset: 3d941e94a739d3ea6e3049fa0f06553040dfef95
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Nov 30 14:24:17 2015 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/3d941e94a739d3ea6e3049fa0f06553040dfef95 [^]

Fixes Issue 31593:Debit and Credit values not shown when running General
Ledger Report in XLS format using Microsoft Office 2007

Used Numberformat parameter to format the numeric fields

---
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerExcel.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalanceExcel.jrxml
---
(0082488)
dmiguelez (developer)
2015-12-01 12:34

Code Review + Testing Ok
(0082511)
hudsonbot (developer)
2015-12-02 00:10

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/a52bb700bbaf [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-11-26 10:30 maite New Issue
2015-11-26 10:30 maite Assigned To => Triage Finance
2015-11-26 10:30 maite Modules => Core
2015-11-26 10:30 maite Triggers an Emergency Pack => No
2015-11-26 10:30 maite Issue Monitored: networkb
2015-11-26 11:59 maite Summary Debit and Credit values not shown when running General Ledger Report in XLS format => Debit and Credit values not shown when running General Ledger Report in XLS format using Microsoft Office 2007
2015-11-26 11:59 maite Description Updated View Revisions
2015-11-26 11:59 maite Steps to Reproduce Updated View Revisions
2015-11-27 10:22 AtulOpenbravo Assigned To Triage Finance => AtulOpenbravo
2015-11-27 10:22 AtulOpenbravo Status new => scheduled
2015-11-30 15:48 AtulOpenbravo Note Added: 0082470
2015-11-30 15:49 AtulOpenbravo Note Edited: 0082470 View Revisions
2015-12-01 12:29 dmiguelez Status scheduled => acknowledged
2015-12-01 12:30 dmiguelez Status acknowledged => scheduled
2015-12-01 12:32 hgbot Checkin
2015-12-01 12:32 hgbot Note Added: 0082484
2015-12-01 12:32 hgbot Status scheduled => resolved
2015-12-01 12:32 hgbot Resolution open => fixed
2015-12-01 12:32 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d941e94a739d3ea6e3049fa0f06553040dfef95 [^]
2015-12-01 12:34 dmiguelez Review Assigned To => dmiguelez
2015-12-01 12:34 dmiguelez Note Added: 0082488
2015-12-01 12:34 dmiguelez Status resolved => closed
2015-12-02 00:10 hudsonbot Checkin
2015-12-02 00:10 hudsonbot Note Added: 0082511
2015-12-04 13:55 psanjuan Relationship added related to 0031648
2015-12-09 12:17 maite Relationship added related to 0031668


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker